none
problem RRS feed

  • Question

  • I have windows 7 then i transformated it to windows 8 and when starting up my laptop I get the following message:- Sprt.exe-.NET.Framework Initialization Error

    To run this application you first must install one of the following versions of the .NET.Framework: V4.0.30319

    Contact your application publisher for instructions about obtaining the appropriate version of the .NET.Framework.

    Can anyone assist me with this please

    Many thank
    Saturday, October 8, 2011 3:34 PM

Answers

  • For questions on the *pre-beta test* Windows 8 Developer Preview, you should ask here:

    http://social.msdn.microsoft.com/Forums/en-US/windowsdeveloperpreviewgeneral/threads

    The error you are getting indicates that one of your startup programs cannot function in the Windows 8 environment, which has added .NET Framework 4.5 extensions to your system.

    This is one of the many risks you take by installing test software on your system.

    Sunday, October 9, 2011 2:47 PM
  • Hi choirul,

    Thanks for your post.

    According to your description, it appears this issue is caused by some compatibility with the program Sprt.exe and Windows 8. The program Sprt.exe requires .NET Framework 4.0 while .NET Frarmework 4.5 is the system components of Windows 8. You can disable this program from starup by using utility msconfig.exe, please refer to this article: http://support.microsoft.com/kb/929135 for more detailed step for how to workaround this issue.

    Best Regards,


    Andrew Wu [MSFT]
    MSDN Community Support | Feedback to us
    Get or Request Code Sample from Microsoft
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Monday, October 10, 2011 7:46 AM
    Moderator

All replies

  • For questions on the *pre-beta test* Windows 8 Developer Preview, you should ask here:

    http://social.msdn.microsoft.com/Forums/en-US/windowsdeveloperpreviewgeneral/threads

    The error you are getting indicates that one of your startup programs cannot function in the Windows 8 environment, which has added .NET Framework 4.5 extensions to your system.

    This is one of the many risks you take by installing test software on your system.

    Sunday, October 9, 2011 2:47 PM
  • Hi choirul,

    Thanks for your post.

    According to your description, it appears this issue is caused by some compatibility with the program Sprt.exe and Windows 8. The program Sprt.exe requires .NET Framework 4.0 while .NET Frarmework 4.5 is the system components of Windows 8. You can disable this program from starup by using utility msconfig.exe, please refer to this article: http://support.microsoft.com/kb/929135 for more detailed step for how to workaround this issue.

    Best Regards,


    Andrew Wu [MSFT]
    MSDN Community Support | Feedback to us
    Get or Request Code Sample from Microsoft
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.

    Monday, October 10, 2011 7:46 AM
    Moderator